Subject: Re: [RFC PATCH 7/7] net: ixgbe: add support for tc_u32 offload

From: John Fastabend <[email-masked]>
Date: Mon, 01 Feb 2016 20:53:20 -0800

On 16-02-01 06:17 PM, David Miller wrote:
> From: John Fastabend <[email-masked]>
> Date: Sun, 31 Jan 2016 17:53:10 -0800
> 
>> +			ixgbe_jump_tables[uhtid] = nexthdr->jump;
> 
> I can't figure out what protects concurrent accesses to this shared
> ixgbe_jump_table[].  Is RTNL held here?  If so it's likely that
> GFP_ATOMIC can be changed to GFP_KERNEL in this function.
> 
> 

This is only called from tc_ctl_tfilter which is wrapped in the
rtnl_lock as you suspected.

Thanks for the catch I'll convert it to GFP_KERNEL along with the
other spot I copy pasted the GFP_ATOMIC code from.

.John